Unbind
Service Groups

Create Service Group

Create a service group to organize services within an environment.

POST
/service_groups/create

Create a service group to organize services within an environment.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description?string

The description of the service group

environment_id*string
Formatuuid
icon?string

The icon of the service group

name*string

Has to be unique in the environment. A taken name gets a short suffix, so read the name from the response

Length1 <= length <= 32
project_id*string
Formatuuid
team_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/service_groups/create" \  -H "Content-Type: application/json" \  -d '{    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "name": "string",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"  }'
{  "data": {    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "icon": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc"  }}